Get all components

View as Markdown
Gets a list of all components in the team's component library.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

typeenumOptional
Filter results by component type.
Allowed values:
statusenumOptional
Filter results by the component's status.
Allowed values:
hasVersionsbooleanOptional
If true, return only components with published versions.
includestringOptional

A comma-separated list of additional fields to include. Accepts the hasVersions, latestVersion, latestVersion.content values.

expandstringOptional

A comma-separated list of fields to expand. Accepts the latestVersion value.

Response

Successful Response
metaobject
datalist of objects
A list of components.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error